## com.bbn.openmap.omGraphics.editable
Class ListUnselectedState

    java.lang.Object
      |
      +--com.bbn.openmap.layer.util.stateMachine.State
            |
            +--com.bbn.openmap.omGraphics.editable.GraphicUnselectedState
                  |
                  +--com.bbn.openmap.omGraphics.editable.ListUnselectedState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGDefinedState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class ListUnselectedState
extends GraphicUnselectedState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicUnselectedState
`graphic`

Constructor Summary
`ListUnselectedState(EditableOMGraphic eomg)`

Method Summary
`boolean` `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`boolean` `mousePressed(java.awt.event.MouseEvent e)` In this state, we need to change states only if the graphic, or it's grab points are clicked on.
`boolean` `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State

`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListUnselectedState

    public ListUnselectedState(EditableOMGraphic eomg)

Method Detail

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent e)

  In this state, we need to change states only if the graphic, or it's grab points are clicked on. If a point is clicked on, then it should become the moving point, and the graphic should be changed to edit mode.

  Specified by:
    `mousePressed` in interface `MapMouseListener`
  Overrides:
    `mousePressed` in class `GraphicUnselectedState`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MapMouseListener`
  Overrides:
    `mouseReleased` in class `GraphicUnselectedState`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

### mouseMoved

    public boolean mouseMoved(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when the mouse button has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `MapMouseListener`
  Overrides:
    `mouseMoved` in class `GraphicUnselectedState`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details